pandur - AdHoc Monitoring
=========================

This gem is yet beta, so please help me find bugs, and send me
enhancement-ideas at https://github.com/rynr/pandur/issues  
You see the tasks for leaving beta at
https://github.com/rynr/pandur/issues?milestone=1&state=open

Usage
-----

    Usage: pandur [options]
        -c, --config [FILE]              Define config-file
        -h, --help                       Show this message

To install run

    gem install pandur

Configuration
-------------

You need to create a configuration (`~/.pandur.yaml` by default) of all hosts
to connect to, and wich processes are meant to monitor.  
Here's a simple example:

    ---
    hosts:
    - name: 'web'
      username: 'www-data'
      check:
      - name: 'Elastic Search'
        pid_file: /var/run/elasticsearch.pid
      - name: Memcached
        pid_file: /var/run/memcached.pid

Running `pandur` will loop through all hosts and check all pid-files, if the
process is running.  
A possible result can look like this:

    rjung:~$ pandur
    Elastic Search: OK
    Memcached: OK
    rjung:~$

Links
-----

  - Homepage: http://rynr.github.io/pandur/
  - Sourcecode: https://github.com/rynr/pandur
  - Issues / Feature-Requests: https://github.com/rynr/pandur/issues
