# -*- encoding: utf-8 -*-
$:.push File.expand_path('../lib', __FILE__)
require 'pandur/version'

Gem::Specification.new do |s|
  s.name          = 'pandur'
  s.version       = Pandur::VERSION
  s.date          = '2013-04-03'
  s.license       = 'MIT'
  s.summary       = 'AdHoc monitoring'
  s.description   = 'Check your services when you need to'
  s.authors       = ['Rainer Jung <Rainer.Jung@gmail.com>']
  s.email         = 'rj@pandur.org'
  s.executables   << 'pandur'
  s.bindir        = 'bin'
  s.homepage      = 'http://github.com/rynr/pandur'
  s.post_install_message =
                    'Pandur yet comes without a config-generation'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- spec/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  s.extra_rdoc_files = 'README.md'

  s.add_runtime_dependency('net-ssh')
  s.add_development_dependency('rspec')
end
