require 'spec_helper'

describe Pandur do
  include Helpers

  before(:each) do
    @sut = Pandur.new :config_file => test_config_file
  end

  it 'checks each configured host' do
    @sut.should_receive(:config).with('hosts').and_return(['host1', 'host2'])
    @sut.should_receive(:check).with('host1')
    @sut.should_receive(:check).with('host2')
    @sut.run
  end

end
